import { easeLinear, range, select } from 'd3';

const width = window.innerWidth;
const height = window.innerHeight;

const svg = select('body')
  .append('svg')
  .attr('width', width)
  .attr('height', height)
  .style('background', '#222');

const makeData = (n, t) =>
  range(n).map((d) => ({
    x: d * 60 + 50,
    y: 250 + Math.sin(d * 0.5 + t) * 220,
  }));

const vizData = (data, selection) => {
  selection
    .selectAll('circle')
    .data(data)
    .join('circle')
    .attr('fill', 'beige')
    .attr('r', 20)
    .attr('cx', (d) => d.x)
    .attr('cy', (d) => d.y);
};

let t = 0;
setInterval(() => {
  const n = 10 + Math.sin(t) * 5;
  const data = makeData(n, t);
  vizData(data, svg);

  t += 0.1;
}, 100);
